libfilezilla is installed but running configure says no

Moderator: Project members

Post Reply
Message
Author
scootergrisen
503 Bad sequence of commands
Posts: 21
Joined: 2016-06-16 12:01

libfilezilla is installed but running configure says no

#1 Post by scootergrisen » 2016-12-06 00:19

I try to build FileZilla.
I have installed packages libfilezilla0 0.7.0-1 and libfilezilla-dev 0.7.0-1.
When i run configure it says:

Code: Select all

checking for LIBFILEZILLA... no
configure: error: libfilezilla not found. You can download it from https://lib.filezilla-project.org/
In configure i se ...libfilezilla >= 0.9.0... so perhaps the version i have is to old.
If that is the case maybe the error message could be improve to says something like:

Code: Select all

checking for LIBFILEZILLA... yes (but to old)
...the installed version is X and you need at least version X
Or something like that.

Should i use this to point to where i have build the new version of libfilezilla?

Code: Select all

export LIBFILEZILLA_LIBS=/home/[USERNAME]/trunk/compile/
I don't know i'm just guessing.
I dont't want to installer in /usr/bin/ so i use prefix when running configure.

User avatar
botg
Site Admin
Posts: 33428
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: libfilezilla is installed but running configure says no

#2 Post by botg » 2016-12-06 07:48

This check is done using pkg-config and its supplementary macros from pkg.m4. I'll see if I can add more detailed diagnostics, but no promises.

If using a custom prefix, set the PKG_CONFIG_PATH environment variable to the lib/pkgconfig subdirectory of your prefix.

scootergrisen
503 Bad sequence of commands
Posts: 21
Joined: 2016-06-16 12:01

Re: libfilezilla is installed but running configure says no

#3 Post by scootergrisen » 2016-12-09 23:57

Ok thanks.
What is the correct way to update the wxstd translation if that is still being used. I can't find it.
I made some changes to wxstd so i would like to use the latest changes.

User avatar
botg
Site Admin
Posts: 33428
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: libfilezilla is installed but running configure says no

#4 Post by botg » 2016-12-10 09:30

wxstd translation? I'm not sure I understand.

scootergrisen
503 Bad sequence of commands
Posts: 21
Joined: 2016-06-16 12:01

Re: libfilezilla is installed but running configure says no

#5 Post by scootergrisen » 2016-12-11 17:52

Does FileZilla not use wxWidgets for general stuff like button called "OK" and "Cancel"?
http://www.wxwidgets.org/

I see a button called "O.k." in the settings dialog but i don't know where this string comes from.

I get this message when i start FileZilla i build don't know if that could be why.
18:50:32: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8).

User avatar
botg
Site Admin
Posts: 33428
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: libfilezilla is installed but running configure says no

#6 Post by botg » 2016-12-11 19:58

Grepping through the entire source of both fz and wx does not reveal any "O.k." string. It may pick up default strings from your desktop environment?


You must compile both wxWidgets and FileZilla with the same compiler, else wxWidgets complains about a potential ABI mismatch.

Post Reply